/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.27
 * 描述               :        			订单信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.OrderManager.Plan.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.OrderManager.Plan.mapper.PlnProdorderMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_PRODORDER", namespace=PlnProdorderMapper.class)
public class PlnProdorder extends BaseVO implements Serializable {
	
	/**
	 * 	生产订单表
	 */
	private static final long serialVersionUID = -8233575154428057542L;

	@Id
	//序列号
	private String serial_no;
	
	/** 
	 * 20180417新增
	 * 采购合同号
	 */ 
	@Column
	private String purchase_contract_no;
	public String  getPurchase_contract_no() {
		return this.purchase_contract_no;
	}
	public void setPurchase_contract_no(String purchase_contract_no) {
		this.purchase_contract_no = purchase_contract_no;
	}
	
	@Column
	//其他不可量化规格
	private String spec_other;

	@Column
	//直径(外径)
	private Double diameter_out;

	@Column
	//直径上限
	private Double diameter_out_max;

	@Column
	//直径下限
	private Double diameter_out_min;

	@Column
	//毫米、厘米、分米、米
	private String diameter_out_unit_no;

	@Column
	//计量单位名称
	private String diameter_out_unit_name;

	@Column
	//直径
	private Double diam;
	
	@Column
	//直径上限
	private Double diam_up;
	
	@Column
	//直径下限
	private Double diam_down;
	
	@Column
	//直径  计量单位编号（1003）
	private String diam_unit_no;
	
	@Column
	//直径   计量单位名称
	private String diam_unit_name;
	
	@Column
	//厚(壁厚)
	private Double thick;

	@Column
	//厚度上限
	private Double thick_max;

	@Column
	//厚度下限
	private Double thick_min;

	@Column
	//毫米、厘米、分米、米
	private String thick_unit_no;

	@Column
	//计量单位名称
	private String thick_unit_name;

	@Column
	//宽
	private Double width;

	@Column
	//宽度上限
	private Double width_max;

	@Column
	//宽度下限
	private Double width_min;

	@Column
	//毫米、厘米、分米、米
	private String width_unit_no;

	@Column
	//计量单位名称
	private String width_unit_name;

	@Column
	//长
	private Double length;

	@Column
	//长度下限
	private Double length_max;

	@Column
	//长度上限
	private Double length_min;

	@Column
	//计量单位编号（1003）
	private String length_unit_no;

	@Column
	//计量单位名称
	private String length_unit_name;

	@Column
	//短尺率(%)
	private Double short_ruler_ratio;

	@Column
	//短尺最短
	private Double short_ruler_length;

	@Column
	//计量单位编号（1003）
	private String short_ruler_unit_no;

	@Column
	//计量单位名称
	private String short_ruler_unit_name;

	@Column
	//长尺率(%)
	private Double long_ruler_ratio;

	@Column
	//长尺最长
	private Double long_ruler_length;

	@Column
	//计量单位编号（1003）
	private String long_ruler_unit_no;

	@Column
	//计量单位名称
	private String long_ruler_unit_name;

	@Column
	//短尺随炉0：不随；1：随
	private String is_together;

	@Column
	//平均长度大于
	private Double out_average_length;

	@Column
	//计量单位编号（1003）
	private String average_length_unit_no;

	@Column
	//计量单位名称
	private String average_length_unit_name;

	@Column
	//最长最短差小于
	private Double long_and_short;

	@Column
	//计量单位编号（1003）
	private String las_unit_no;

	@Column
	//计量单位名称
	private String las_unit_name;

	@Column
	//成品公差
	private Double tolerance;

	@Column
	//计量单位编号（1003）
	private String tolerance_unit_no;

	@Column
	//计量单位名称
	private String tolerance_unit_name;

	@Column
	//单倍尺长
	private Double single_ruler_length;

	@Column
	//计量单位编号（1003）
	private String srl_unit_no;

	@Column
	//计量单位名称
	private String srl_unit_name;

	@Column
	//扣型代码
	private String model_code;

	@Column
	//扣型名称
	private String model_name;

	@Column
	//最终用户编号
	private String user_no;

	@Column
	//最终用户名称
	private String user_name;

	@Column
	//客户附加要求维护表
	private String add_ask_no;

	@Column
	//附加要求描述
	private String add_ask_desc;

	@Column
	//客户ALPHA基础信息表
	private String customer_alpha_no;

	@Column
	//客户ALPHA信息拼接
	private String customer_alpha_desc;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//计划排产期
	private Date plan_prod_date;

	@Column
	//制定排产期人
	private String plan_prod_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//计划排产期制定时间
	private Date plan_prod_date_date;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//客户交货期
	private Date deliver_date;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//下发时间
	private Date send_time;

	@Column
	//下发人
	private String send_man_name;

	@Column
	//接收人
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//接收时间
	private Date create_time;

	@Column
	//生产订单号
	private String prod_order_no;

	@Column
	//生产订单状态 
	private String status;

	@Column
	//2位-产线（01）；YYYYMMDD年月日；3位流水号（001）；2位字符记录特殊要求（JG军工）
	private String contract_no;

	@Column
	//正式合同文本上的编号
	private String txt_contract_no;

	@Column
	//协议合同、现货合同、期货合同
	private String contract_type_no;

	@Column
	//合同类型名称
	private String contract_type_name;

	@Column
	//客户编号
	private String customer_no;

	@Column
	//客户名称
	private String customer_name;

	@Column
	//合同行号
	private String contract_line_no;

	@Column
	//001,002，...999
	private String contract_line_seq;

	@Column
	//产品规范码编号
	private String psc;

	@Column
	//产品规范码名称
	private String psc_desc;

	@Column
	//冶金规范码编号
	private String msc;

	@Column
	//冶金规范码名称
	private String msc_desc;

	@Column
	//冶金规范类型编号
	private String msc_type_no;

	@Column
	//冶金规范类型名称
	private String msc_type_name;

	@Column
	//制程号?全程产线码(制程选择：冶金规范码+全程产线码)
	private String msc_pline;

	@Column
	//用途码编号
	private String use_code;

	@Column
	//用途码名称
	private String use_desc;

	@Column
	//品种分类编号
	private String prod_cls_no;

	@Column
	//品种分类名称
	private String prod_cls_name;

	@Column
	//品名代码
	private String prod_code;

	@Column
	//品名名称
	private String prod_name;

	@Column
	//标准代码
	private String std_code;

	@Column
	//标准名称
	private String std_name;

	@Column
	//钢级(牌号)代码
	private String steel_code;

	@Column
	//钢级(牌号)名称
	private String steel_name;

	@Column
	//标准类别代码
	private String std_type_no;

	@Column
	//标准类别名称
	private String std_type_name;

	@Column
	//产品形态编号
	private String prod_figure_no;

	@Column
	//产品形态名称
	private String prod_figure_name;

	@Column
	//交货量差方式1:绝对值，0:百分比
	private String delivery_weight_type;

	@Column
	//交货量误差上限
	private Double delivery_error_max;

	@Column
	//交货量误差下限
	private Double delivery_error_min;

	@Column
	//吨、KG、支、
	private String delivery_unit_no;

	@Column
	//计量单位名称
	private String delivery_unit_name;

	@Column
	//计重方式编号（0021）
	private String weight_type_no;

	@Column
	//计重方式名称
	private String weight_type_name;

	@Column
	//单卷重量/单米重量
	private Double single_weight;

	@Column
	//单重上限
	private Double single_weight_max;

	@Column
	//单重下限
	private Double single_weight_min;

	@Column
	//计量单位编号
	private String single_weight_unit_no;

	@Column
	//计量单位名称
	private String single_weight_unit_name;

	@Column
	//修改字段名 单卷长度。单位为米
	private Double single_length;

	@Column
	//单长上限
	private Double single_length_max;

	@Column
	//单长下限
	private Double single_length_min;

	@Column
	//合同支数/块
	private Double cnt_number;

	@Column
	//LINE_NO+3位流水
	private String order_no;

	@Column
	//001,002，...999
	private String order_seq;

	@Column
	//订单量
	private Double order_quantity;

	@Column
	//计量单位编号（1003）
	private String quantity_unit_no;

	@Column
	//计量单位名称
	private String quantity_unit_name;

	@Column
	//估算重量
	private Double estimate_weight;

	@Column
	//计量单位编号（1003）
	private String estimate_weight_unit_no;

	@Column
	//计量单位名称
	private String estimate_weight_unit_name;

	@Column
	//单位为米
	private Double ensu_total_len;

	@Column
	//收货单位编号
	private String reciver_unit_no;

	@Column
	//收货单位
	private String reciver_unit_name;

	@Column
	//收货地址
	private String reciver_address;

	@Column
	//定尺方式编号（1024）
	private String fixed_length_type_no;

	@Column
	//定尺方式名称
	private String fixed_length_type_name;

	@Column
	//切边方式编号（1025）
	private String cut_edge_type_no;

	@Column
	//切边方式名称
	private String cut_edge_type_name;

	@Column
	//内径
	private Double diameter_inn;

	@Column
	//内径上限
	private Double diameter_inn_max;

	@Column
	//内径下限
	private Double diameter_inn_min;

	@Column
	//计量单位编号（1003）
	private String diameter_inn_unit_no;

	@Column
	//计量单位名称
	private String diameter_inn_unit_name;

	@Column
	//交货状态代码
	private String delivery_state_code;
	
	@Column
	//交货状态描述
	private String delivery_state_desc;
	
	@Column
	//产线编码
	private String pline_code;
	
	@Column
	//产线名称
	private String pline_name;
	
	@Column
	// 加工价
	private Double work_price;
	
	@Column
	//订单属性:1-原料卷 2-需加工3-非计划
	private String order_nature;
	
	@Column
	//非空，默认0      完成状态:0-未完成 1-完成 2-锁定
	private String finished_status;
	
	@Column
	//合同行备注
	private String contract_memo;
	
	@Column
	//订单备注
	private String order_memo;
	
	

	//订单属性:1-原料卷 2-需加工3-非计划
	private String order_nature_desc;
	
	/** 
	 * 横切方式 1：不横切；2：一切二；3：一切三
	 */ 
	private String crosscut_style;
	
	private String proc_order_no;
	//纵剪规格
	private String cut_style;
	
	public Double getWork_price() {
		return work_price;
	}

	public void setWork_price(Double work_price) {
		this.work_price = work_price;
	}

	public String getOrder_nature() {
		return order_nature;
	}

	public void setOrder_nature(String order_nature) {
		this.order_nature = order_nature;
	}

	public String getFinished_status() {
		return finished_status;
	}

	public void setFinished_status(String finished_status) {
		this.finished_status = finished_status;
	}

	//要求设计重量
	private double undesign_wgt;
	
	//订单总重
	private double lim_max_total_wgt;
	
	//最小单重要求
	private double min_single_wgt;
	
	//最大单重要求
	private double max_single_wgt;
	
	//合同状态编号
	private String contract_flag_no;
	
	//合同状态名称
	private String contract_flag_name;

	//用户指定生产订单分条数
	private Integer spec_Sub_Cnt;
	
	//加工计划备注
	private String processMemo;
	
	public String getProcessMemo() {
		return processMemo;
	}

	public void setProcessMemo(String processMemo) {
		this.processMemo = processMemo;
	}

	@Column
	private String produce_no;
	public String getProduce_no() {
		return produce_no;
	}

	public void setProduce_no(String produce_no) {
		this.produce_no = produce_no;
	}
	
	
	public String getSerial_no() {
		return serial_no;
	}

	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	public String getSpec_other() {
		return spec_other;
	}

	public void setSpec_other(String spec_other) {
		this.spec_other = spec_other;
	}

	public Double getDiameter_out() {
		return diameter_out;
	}

	public void setDiameter_out(Double diameter_out) {
		this.diameter_out = diameter_out;
	}

	public Double getDiameter_out_max() {
		return diameter_out_max;
	}

	public void setDiameter_out_max(Double diameter_out_max) {
		this.diameter_out_max = diameter_out_max;
	}

	public Double getDiameter_out_min() {
		return diameter_out_min;
	}

	public void setDiameter_out_min(Double diameter_out_min) {
		this.diameter_out_min = diameter_out_min;
	}

	public String getDiameter_out_unit_no() {
		return diameter_out_unit_no;
	}

	public void setDiameter_out_unit_no(String diameter_out_unit_no) {
		this.diameter_out_unit_no = diameter_out_unit_no;
	}

	public String getDiameter_out_unit_name() {
		return diameter_out_unit_name;
	}

	public void setDiameter_out_unit_name(String diameter_out_unit_name) {
		this.diameter_out_unit_name = diameter_out_unit_name;
	}

	public Double getDiam() {
		return diam;
	}

	public void setDiam(Double diam) {
		this.diam = diam;
	}

	public Double getDiam_up() {
		return diam_up;
	}

	public void setDiam_up(Double diam_up) {
		this.diam_up = diam_up;
	}

	public Double getDiam_down() {
		return diam_down;
	}

	public void setDiam_down(Double diam_down) {
		this.diam_down = diam_down;
	}

	public String getDiam_unit_no() {
		return diam_unit_no;
	}

	public void setDiam_unit_no(String diam_unit_no) {
		this.diam_unit_no = diam_unit_no;
	}

	public String getDiam_unit_name() {
		return diam_unit_name;
	}

	public void setDiam_unit_name(String diam_unit_name) {
		this.diam_unit_name = diam_unit_name;
	}

	public Double getThick() {
		return thick;
	}

	public void setThick(Double thick) {
		this.thick = thick;
	}

	public Double getThick_max() {
		return thick_max;
	}

	public void setThick_max(Double thick_max) {
		this.thick_max = thick_max;
	}

	public Double getThick_min() {
		return thick_min;
	}

	public void setThick_min(Double thick_min) {
		this.thick_min = thick_min;
	}

	public String getThick_unit_no() {
		return thick_unit_no;
	}

	public void setThick_unit_no(String thick_unit_no) {
		this.thick_unit_no = thick_unit_no;
	}

	public String getThick_unit_name() {
		return thick_unit_name;
	}

	public void setThick_unit_name(String thick_unit_name) {
		this.thick_unit_name = thick_unit_name;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getWidth_max() {
		return width_max;
	}

	public void setWidth_max(Double width_max) {
		this.width_max = width_max;
	}

	public Double getWidth_min() {
		return width_min;
	}

	public void setWidth_min(Double width_min) {
		this.width_min = width_min;
	}

	public String getWidth_unit_no() {
		return width_unit_no;
	}

	public void setWidth_unit_no(String width_unit_no) {
		this.width_unit_no = width_unit_no;
	}

	public String getWidth_unit_name() {
		return width_unit_name;
	}

	public void setWidth_unit_name(String width_unit_name) {
		this.width_unit_name = width_unit_name;
	}

	public Double getLength() {
		return length;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public Double getLength_max() {
		return length_max;
	}

	public void setLength_max(Double length_max) {
		this.length_max = length_max;
	}

	public Double getLength_min() {
		return length_min;
	}

	public void setLength_min(Double length_min) {
		this.length_min = length_min;
	}

	public String getLength_unit_no() {
		return length_unit_no;
	}

	public void setLength_unit_no(String length_unit_no) {
		this.length_unit_no = length_unit_no;
	}

	public String getLength_unit_name() {
		return length_unit_name;
	}

	public void setLength_unit_name(String length_unit_name) {
		this.length_unit_name = length_unit_name;
	}

	public Double getShort_ruler_ratio() {
		return short_ruler_ratio;
	}

	public void setShort_ruler_ratio(Double short_ruler_ratio) {
		this.short_ruler_ratio = short_ruler_ratio;
	}

	public Double getShort_ruler_length() {
		return short_ruler_length;
	}

	public void setShort_ruler_length(Double short_ruler_length) {
		this.short_ruler_length = short_ruler_length;
	}

	public String getShort_ruler_unit_no() {
		return short_ruler_unit_no;
	}

	public void setShort_ruler_unit_no(String short_ruler_unit_no) {
		this.short_ruler_unit_no = short_ruler_unit_no;
	}

	public String getShort_ruler_unit_name() {
		return short_ruler_unit_name;
	}

	public void setShort_ruler_unit_name(String short_ruler_unit_name) {
		this.short_ruler_unit_name = short_ruler_unit_name;
	}

	public Double getLong_ruler_ratio() {
		return long_ruler_ratio;
	}

	public void setLong_ruler_ratio(Double long_ruler_ratio) {
		this.long_ruler_ratio = long_ruler_ratio;
	}

	public Double getLong_ruler_length() {
		return long_ruler_length;
	}

	public void setLong_ruler_length(Double long_ruler_length) {
		this.long_ruler_length = long_ruler_length;
	}

	public String getLong_ruler_unit_no() {
		return long_ruler_unit_no;
	}

	public void setLong_ruler_unit_no(String long_ruler_unit_no) {
		this.long_ruler_unit_no = long_ruler_unit_no;
	}

	public String getLong_ruler_unit_name() {
		return long_ruler_unit_name;
	}

	public void setLong_ruler_unit_name(String long_ruler_unit_name) {
		this.long_ruler_unit_name = long_ruler_unit_name;
	}

	public String getIs_together() {
		return is_together;
	}

	public void setIs_together(String is_together) {
		this.is_together = is_together;
	}

	public Double getOut_average_length() {
		return out_average_length;
	}

	public void setOut_average_length(Double out_average_length) {
		this.out_average_length = out_average_length;
	}

	public String getAverage_length_unit_no() {
		return average_length_unit_no;
	}

	public void setAverage_length_unit_no(String average_length_unit_no) {
		this.average_length_unit_no = average_length_unit_no;
	}

	public String getAverage_length_unit_name() {
		return average_length_unit_name;
	}

	public void setAverage_length_unit_name(String average_length_unit_name) {
		this.average_length_unit_name = average_length_unit_name;
	}

	public Double getLong_and_short() {
		return long_and_short;
	}

	public void setLong_and_short(Double long_and_short) {
		this.long_and_short = long_and_short;
	}

	public String getLas_unit_no() {
		return las_unit_no;
	}

	public void setLas_unit_no(String las_unit_no) {
		this.las_unit_no = las_unit_no;
	}

	public String getLas_unit_name() {
		return las_unit_name;
	}

	public void setLas_unit_name(String las_unit_name) {
		this.las_unit_name = las_unit_name;
	}

	public Double getTolerance() {
		return tolerance;
	}

	public void setTolerance(Double tolerance) {
		this.tolerance = tolerance;
	}

	public String getTolerance_unit_no() {
		return tolerance_unit_no;
	}

	public void setTolerance_unit_no(String tolerance_unit_no) {
		this.tolerance_unit_no = tolerance_unit_no;
	}

	public String getTolerance_unit_name() {
		return tolerance_unit_name;
	}

	public void setTolerance_unit_name(String tolerance_unit_name) {
		this.tolerance_unit_name = tolerance_unit_name;
	}

	public Double getSingle_ruler_length() {
		return single_ruler_length;
	}

	public void setSingle_ruler_length(Double single_ruler_length) {
		this.single_ruler_length = single_ruler_length;
	}

	public String getSrl_unit_no() {
		return srl_unit_no;
	}

	public void setSrl_unit_no(String srl_unit_no) {
		this.srl_unit_no = srl_unit_no;
	}

	public String getSrl_unit_name() {
		return srl_unit_name;
	}

	public void setSrl_unit_name(String srl_unit_name) {
		this.srl_unit_name = srl_unit_name;
	}

	public String getModel_code() {
		return model_code;
	}

	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	public String getModel_name() {
		return model_name;
	}

	public void setModel_name(String model_name) {
		this.model_name = model_name;
	}

	public String getUser_no() {
		return user_no;
	}

	public void setUser_no(String user_no) {
		this.user_no = user_no;
	}

	public String getUser_name() {
		return user_name;
	}

	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}

	public String getAdd_ask_no() {
		return add_ask_no;
	}

	public void setAdd_ask_no(String add_ask_no) {
		this.add_ask_no = add_ask_no;
	}

	public String getAdd_ask_desc() {
		return add_ask_desc;
	}

	public void setAdd_ask_desc(String add_ask_desc) {
		this.add_ask_desc = add_ask_desc;
	}

	public String getCustomer_alpha_no() {
		return customer_alpha_no;
	}

	public void setCustomer_alpha_no(String customer_alpha_no) {
		this.customer_alpha_no = customer_alpha_no;
	}

	public String getCustomer_alpha_desc() {
		return customer_alpha_desc;
	}

	public void setCustomer_alpha_desc(String customer_alpha_desc) {
		this.customer_alpha_desc = customer_alpha_desc;
	}

	public Date getPlan_prod_date() {
		return plan_prod_date;
	}

	public void setPlan_prod_date(Date plan_prod_date) {
		this.plan_prod_date = plan_prod_date;
	}

	public String getPlan_prod_name() {
		return plan_prod_name;
	}

	public void setPlan_prod_name(String plan_prod_name) {
		this.plan_prod_name = plan_prod_name;
	}

	public Date getPlan_prod_date_date() {
		return plan_prod_date_date;
	}

	public void setPlan_prod_date_date(Date plan_prod_date_date) {
		this.plan_prod_date_date = plan_prod_date_date;
	}

	public Date getDeliver_date() {
		return deliver_date;
	}

	public void setDeliver_date(Date deliver_date) {
		this.deliver_date = deliver_date;
	}

	public Date getSend_time() {
		return send_time;
	}

	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	public String getSend_man_name() {
		return send_man_name;
	}

	public void setSend_man_name(String send_man_name) {
		this.send_man_name = send_man_name;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getProd_order_no() {
		return prod_order_no;
	}

	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	public String getTxt_contract_no() {
		return txt_contract_no;
	}

	public void setTxt_contract_no(String txt_contract_no) {
		this.txt_contract_no = txt_contract_no;
	}

	public String getContract_type_no() {
		return contract_type_no;
	}

	public void setContract_type_no(String contract_type_no) {
		this.contract_type_no = contract_type_no;
	}

	public String getContract_type_name() {
		return contract_type_name;
	}

	public void setContract_type_name(String contract_type_name) {
		this.contract_type_name = contract_type_name;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contract_line_seq) {
		this.contract_line_seq = contract_line_seq;
	}

	public String getPsc() {
		return psc;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public String getPsc_desc() {
		return psc_desc;
	}

	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}

	public String getMsc() {
		return msc;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public String getMsc_desc() {
		return msc_desc;
	}

	public void setMsc_desc(String msc_desc) {
		this.msc_desc = msc_desc;
	}

	public String getMsc_type_no() {
		return msc_type_no;
	}

	public void setMsc_type_no(String msc_type_no) {
		this.msc_type_no = msc_type_no;
	}

	public String getMsc_type_name() {
		return msc_type_name;
	}

	public void setMsc_type_name(String msc_type_name) {
		this.msc_type_name = msc_type_name;
	}

	public String getMsc_pline() {
		return msc_pline;
	}

	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	public String getUse_code() {
		return use_code;
	}

	public void setUse_code(String use_code) {
		this.use_code = use_code;
	}

	public String getUse_desc() {
		return use_desc;
	}

	public void setUse_desc(String use_desc) {
		this.use_desc = use_desc;
	}

	public String getProd_cls_no() {
		return prod_cls_no;
	}

	public void setProd_cls_no(String prod_cls_no) {
		this.prod_cls_no = prod_cls_no;
	}

	public String getProd_cls_name() {
		return prod_cls_name;
	}

	public void setProd_cls_name(String prod_cls_name) {
		this.prod_cls_name = prod_cls_name;
	}

	public String getProd_code() {
		return prod_code;
	}

	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	public String getProd_name() {
		return prod_name;
	}

	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	public String getStd_code() {
		return std_code;
	}

	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	public String getStd_type_no() {
		return std_type_no;
	}

	public void setStd_type_no(String std_type_no) {
		this.std_type_no = std_type_no;
	}

	public String getStd_type_name() {
		return std_type_name;
	}

	public void setStd_type_name(String std_type_name) {
		this.std_type_name = std_type_name;
	}

	public String getProd_figure_no() {
		return prod_figure_no;
	}

	public void setProd_figure_no(String prod_figure_no) {
		this.prod_figure_no = prod_figure_no;
	}

	public String getProd_figure_name() {
		return prod_figure_name;
	}

	public void setProd_figure_name(String prod_figure_name) {
		this.prod_figure_name = prod_figure_name;
	}

	public String getDelivery_weight_type() {
		return delivery_weight_type;
	}

	public void setDelivery_weight_type(String delivery_weight_type) {
		this.delivery_weight_type = delivery_weight_type;
	}

	public Double getDelivery_error_max() {
		return delivery_error_max;
	}

	public void setDelivery_error_max(Double delivery_error_max) {
		this.delivery_error_max = delivery_error_max;
	}

	public Double getDelivery_error_min() {
		return delivery_error_min;
	}

	public void setDelivery_error_min(Double delivery_error_min) {
		this.delivery_error_min = delivery_error_min;
	}

	public String getDelivery_unit_no() {
		return delivery_unit_no;
	}

	public void setDelivery_unit_no(String delivery_unit_no) {
		this.delivery_unit_no = delivery_unit_no;
	}

	public String getDelivery_unit_name() {
		return delivery_unit_name;
	}

	public void setDelivery_unit_name(String delivery_unit_name) {
		this.delivery_unit_name = delivery_unit_name;
	}

	public String getWeight_type_no() {
		return weight_type_no;
	}

	public void setWeight_type_no(String weight_type_no) {
		this.weight_type_no = weight_type_no;
	}

	public String getWeight_type_name() {
		return weight_type_name;
	}

	public void setWeight_type_name(String weight_type_name) {
		this.weight_type_name = weight_type_name;
	}

	public Double getSingle_weight() {
		return single_weight;
	}

	public void setSingle_weight(Double single_weight) {
		this.single_weight = single_weight;
	}

	public Double getSingle_weight_max() {
		return single_weight_max;
	}

	public void setSingle_weight_max(Double single_weight_max) {
		this.single_weight_max = single_weight_max;
	}

	public Double getSingle_weight_min() {
		return single_weight_min;
	}

	public void setSingle_weight_min(Double single_weight_min) {
		this.single_weight_min = single_weight_min;
	}

	public String getSingle_weight_unit_no() {
		return single_weight_unit_no;
	}

	public void setSingle_weight_unit_no(String single_weight_unit_no) {
		this.single_weight_unit_no = single_weight_unit_no;
	}

	public String getSingle_weight_unit_name() {
		return single_weight_unit_name;
	}

	public void setSingle_weight_unit_name(String single_weight_unit_name) {
		this.single_weight_unit_name = single_weight_unit_name;
	}

	public Double getSingle_length() {
		return single_length;
	}

	public void setSingle_length(Double single_length) {
		this.single_length = single_length;
	}

	public Double getSingle_length_max() {
		return single_length_max;
	}

	public void setSingle_length_max(Double single_length_max) {
		this.single_length_max = single_length_max;
	}

	public Double getSingle_length_min() {
		return single_length_min;
	}

	public void setSingle_length_min(Double single_length_min) {
		this.single_length_min = single_length_min;
	}

	public Double getCnt_number() {
		return cnt_number;
	}

	public void setCnt_number(Double cnt_number) {
		this.cnt_number = cnt_number;
	}

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	public String getOrder_seq() {
		return order_seq;
	}

	public void setOrder_seq(String order_seq) {
		this.order_seq = order_seq;
	}

	public Double getOrder_quantity() {
		return order_quantity;
	}

	public void setOrder_quantity(Double order_quantity) {
		this.order_quantity = order_quantity;
	}

	public String getQuantity_unit_no() {
		return quantity_unit_no;
	}

	public void setQuantity_unit_no(String quantity_unit_no) {
		this.quantity_unit_no = quantity_unit_no;
	}

	public String getQuantity_unit_name() {
		return quantity_unit_name;
	}

	public void setQuantity_unit_name(String quantity_unit_name) {
		this.quantity_unit_name = quantity_unit_name;
	}

	public Double getEstimate_weight() {
		return estimate_weight;
	}

	public void setEstimate_weight(Double estimate_weight) {
		this.estimate_weight = estimate_weight;
	}

	public String getEstimate_weight_unit_no() {
		return estimate_weight_unit_no;
	}

	public void setEstimate_weight_unit_no(String estimate_weight_unit_no) {
		this.estimate_weight_unit_no = estimate_weight_unit_no;
	}

	public String getEstimate_weight_unit_name() {
		return estimate_weight_unit_name;
	}

	public void setEstimate_weight_unit_name(String estimate_weight_unit_name) {
		this.estimate_weight_unit_name = estimate_weight_unit_name;
	}

	public Double getEnsu_total_len() {
		return ensu_total_len;
	}

	public void setEnsu_total_len(Double ensu_total_len) {
		this.ensu_total_len = ensu_total_len;
	}

	public String getReciver_unit_no() {
		return reciver_unit_no;
	}

	public void setReciver_unit_no(String reciver_unit_no) {
		this.reciver_unit_no = reciver_unit_no;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciver_unit_name) {
		this.reciver_unit_name = reciver_unit_name;
	}

	public String getReciver_address() {
		return reciver_address;
	}

	public void setReciver_address(String reciver_address) {
		this.reciver_address = reciver_address;
	}

	public String getFixed_length_type_no() {
		return fixed_length_type_no;
	}

	public void setFixed_length_type_no(String fixed_length_type_no) {
		this.fixed_length_type_no = fixed_length_type_no;
	}

	public String getFixed_length_type_name() {
		return fixed_length_type_name;
	}

	public void setFixed_length_type_name(String fixed_length_type_name) {
		this.fixed_length_type_name = fixed_length_type_name;
	}

	public String getCut_edge_type_no() {
		return cut_edge_type_no;
	}

	public void setCut_edge_type_no(String cut_edge_type_no) {
		this.cut_edge_type_no = cut_edge_type_no;
	}

	public String getCut_edge_type_name() {
		return cut_edge_type_name;
	}

	public void setCut_edge_type_name(String cut_edge_type_name) {
		this.cut_edge_type_name = cut_edge_type_name;
	}

	public Double getDiameter_inn() {
		return diameter_inn;
	}

	public void setDiameter_inn(Double diameter_inn) {
		this.diameter_inn = diameter_inn;
	}

	public Double getDiameter_inn_max() {
		return diameter_inn_max;
	}

	public void setDiameter_inn_max(Double diameter_inn_max) {
		this.diameter_inn_max = diameter_inn_max;
	}

	public Double getDiameter_inn_min() {
		return diameter_inn_min;
	}

	public void setDiameter_inn_min(Double diameter_inn_min) {
		this.diameter_inn_min = diameter_inn_min;
	}

	public String getDiameter_inn_unit_no() {
		return diameter_inn_unit_no;
	}

	public void setDiameter_inn_unit_no(String diameter_inn_unit_no) {
		this.diameter_inn_unit_no = diameter_inn_unit_no;
	}

	public String getDiameter_inn_unit_name() {
		return diameter_inn_unit_name;
	}

	public void setDiameter_inn_unit_name(String diameter_inn_unit_name) {
		this.diameter_inn_unit_name = diameter_inn_unit_name;
	}

	public String getDelivery_state_code() {
		return delivery_state_code;
	}

	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}

	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	public String getPline_code() {
		return pline_code;
	}

	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	public String getPline_name() {
		return pline_name;
	}

	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	public double getUndesign_wgt() {
		return undesign_wgt;
	}

	public void setUndesign_wgt(double undesign_wgt) {
		this.undesign_wgt = undesign_wgt;
	}

	public double getLim_max_total_wgt() {
		return lim_max_total_wgt;
	}

	public void setLim_max_total_wgt(double lim_max_total_wgt) {
		this.lim_max_total_wgt = lim_max_total_wgt;
	}

	public double getMin_single_wgt() {
		return min_single_wgt;
	}

	public void setMin_single_wgt(double min_single_wgt) {
		this.min_single_wgt = min_single_wgt;
	}

	public double getMax_single_wgt() {
		return max_single_wgt;
	}

	public void setMax_single_wgt(double max_single_wgt) {
		this.max_single_wgt = max_single_wgt;
	}

	public String getContract_flag_no() {
		return contract_flag_no;
	}

	public void setContract_flag_no(String contract_flag_no) {
		this.contract_flag_no = contract_flag_no;
	}

	public String getContract_flag_name() {
		return contract_flag_name;
	}

	public void setContract_flag_name(String contract_flag_name) {
		this.contract_flag_name = contract_flag_name;
	}

	public Integer getSpec_Sub_Cnt() {
		return spec_Sub_Cnt;
	}

	public void setSpec_Sub_Cnt(Integer spec_Sub_Cnt) {
		this.spec_Sub_Cnt = spec_Sub_Cnt;
	}

	public String getProc_order_no() {
		return proc_order_no;
	}

	public void setProc_order_no(String proc_order_no) {
		this.proc_order_no = proc_order_no;
	}

	public String getOrder_nature_desc() {
		return order_nature_desc;
	}

	public void setOrder_nature_desc(String order_nature_desc) {
		this.order_nature_desc = order_nature_desc;
	}

	public String getCut_style() {
		return cut_style;
	}

	public void setCut_style(String cut_style) {
		this.cut_style = cut_style;
	}

	public String getContract_memo() {
		return contract_memo;
	}

	public void setContract_memo(String contract_memo) {
		this.contract_memo = contract_memo;
	}

	public String getOrder_memo() {
		return order_memo;
	}

	public void setOrder_memo(String order_memo) {
		this.order_memo = order_memo;
	}
	
	// 2018-06-14 加入DESIGN_KEY字段
	@Column
	private String design_key;
	
	public String getDesign_key() {
		return design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}
	/**
	 * 0：不切；1：横切；2：纵切；3：纵切并横切
	 * 2018-07-11 cut_type 方便页面查询
	 */
	private String cut_type;
	public String getCut_type() {
		return cut_type;
	}
	public void setCut_type(String cut_type) {
		this.cut_type = cut_type;
	}
	
	// 2018-09-03 加入字段
	/**
	 * design_key_name
	 */
	@Column
	private String design_key_name;
	public String getDesign_key_name() {
		return design_key_name;
	}
	public void setDesign_key_name(String design_key_name) {
		this.design_key_name = design_key_name;
	}
	
	/**
	 * 全工艺路径
	 */
	@Column
	private String whole_process_codes;
	public String getWhole_process_codes() {
		return whole_process_codes;
	}
	public void setWhole_process_codes(String whole_process_codes) {
		this.whole_process_codes = whole_process_codes;
	}
	
	
	/**
	 * 全工艺路径说明
	 */
	@Column
	private String whole_process_names;
	public String getWhole_process_names() {
		return whole_process_names;
	}
	public void setWhole_process_names(String whole_process_names) {
		this.whole_process_names = whole_process_names;
	}
	public String getCrosscut_style() {
		return crosscut_style;
	}
	public void setCrosscut_style(String crosscut_style) {
		this.crosscut_style = crosscut_style;
	}

	/**
	 * 是否整卷0 否 1是
	 */
	@Column
	private String whole_coil;
	public String getWhole_coil() {
		return whole_coil;
	}
	public void setWhole_coil(String whole_coil) {
		this.whole_coil = whole_coil;
	}

	/**
	 * 工艺要求
	 */
	@Column
	private String process;
	public String getProcess() {
		return process;
	}
	public void setProcess(String process) {
		this.process = process;
	}
	
	/**
	 * 0未变更 1变更无效 2变更中 3变更有效 4可变更
	 */
	@Column
	private String change_flag;
	public String getChange_flag() {
		return change_flag;
	}
	public void setChange_flag(String change_flag) {
		this.change_flag = change_flag;
	}
	
	/**
	 * 销售订单主键
	 */
	@Column
	private String ord_pk ; 
	public String getOrd_pk() {
		return ord_pk;
	}
	public void setOrd_pk(String ord_pk) {
		this.ord_pk = ord_pk;
	}

	/**
	 * 工序序号集合
	 */
	@Column
	private String whole_process_seqs;
	public String getWhole_process_seqs() {
		return whole_process_seqs;
	}
	public void setWhole_process_seqs(String whole_process_seqs) {
		this.whole_process_seqs = whole_process_seqs;
	}

	/**
	 * 是否拆分 1 是 0 否
	 */
	@Column
	private String is_split ; 
	public String getIs_split() {
		return is_split;
	}
	public void setIs_split(String is_split) {
		this.is_split = is_split;
	}

	/**
	 * 母订单号
	 */
	@Column
	private String p_order_no ;
	public String getP_order_no() {
		return p_order_no;
	}
	public void setP_order_no(String p_order_no) {
		this.p_order_no = p_order_no;
	}

	/**
	 * 前订单状态
	 */
	@Column
	private String p_status ;
	public String getP_status() {
		return p_status;
	}
	public void setP_status(String p_status) {
		this.p_status = p_status;
	}

	/**
	 * 状态名称
	 */
	private String status_name ;
	public String getStatus_name() {
		return status_name;
	}
	public void setStatus_name(String status_name) {
		this.status_name = status_name;
	}

	/**
	 * 包装要求编码(2011)
	 */
	@Column
	private String pk_ask_code;
	public String getPk_ask_code() {
		return pk_ask_code;
	}
	public void setPk_ask_code(String pk_ask_code) {
		this.pk_ask_code = pk_ask_code;
	}

	/**
	 * 包装要求名称
	 */
	@Column
	private String pk_ask_desc;
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}

	/**
	 * 20200212 新增生产订单关闭和启用功能
	 * 生产订单是否关闭
	 */
	private String is_closed;
	public String getIs_closed() {
		return is_closed;
	}
	public void setIs_closed(String is_closed) {
		this.is_closed = is_closed;
	}
	
	/**
	 * 机台
	 */
	private String machine_name;
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

}
